Name:		fpaste
Version:	0.3.7.1
Release:	alt1_8
Summary:	A simple tool for pasting info onto sticky notes instances
BuildArch:	noarch
Group:		Networking/WWW
License:	GPLv3+
URL:		https://fedorahosted.org/fpaste/
Source0:	https://fedorahosted.org/released/fpaste/fpaste-%{version}.tar.bz2

# Point fpaste to fedora sticky notes staging instance
# Thanks Clint for the patch. 
# https://fedorahosted.org/fpaste/ticket/7#comment:1
Patch0:     0001-%{name}-0.3.7.1-fedora-production.patch

# Remove smolt data from fpaste
# https://fedorahosted.org/fpaste/ticket/6
Patch1:     0002-%{name}-0.3.7.1-remove-smolt-code.patch

# Adds an option to make paste private or public, sets default to on
# Makes use of expiry option
Patch2:     0003-%{name}-0.3.7.1-use-expire-option-add-private-option-default-on.patch

# Enables user to specify another paste bin url
Patch3:     0004-%{name}-0.3.7.1-add-url-option.patch

# Returns a short url when possible and prints it
# Checks fpaste server instance url for trailing slash
Patch4:     0005-%{name}-0.3.7.1-enable-shortened-urls.patch
Source44: import.info

%description
It is often useful to be able to easily paste text to the Fedora
Pastebin at http://paste.fedoraproject.org and this simple script 
will do that and return the resulting URL so that people may 
examine the output. This can hopefully help folks who are for 
some reason stuck without X, working remotely, or any other 
reason they may be unable to paste something into the pastebin

%prep
%setup -q 

# Patching order is important
%patch0 -p1
%patch1
%patch2
%patch3 -p1
%patch4

%build
#nothing required

%install
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}

%files
%{_bindir}/%{name}
%doc CHANGELOG COPYING README TODO
%{_mandir}/man1/fpaste.1*

%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.7.1-alt1_8
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.7.1-alt1_6
- update to new release by fcimport

* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.7.1-alt1_5
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.7.1-alt1_4
- initial fc import

